stages:
  - test
  - build
  - deploy

build:
  stage: build
  image: docker@sha256:c8bb6fa5388b56304dd770c4bc0478de81ce18540173b1a589178c0d31bfce90
  services:
    - docker:dind@sha256:c8bb6fa5388b56304dd770c4bc0478de81ce18540173b1a589178c0d31bfce90
  only:
    - tags
  before_script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY

    - export TEST_IMAGE=$CI_REGISTRY_IMAGE:$CI_COMMIT_TAG
    - export RELEASE_IMAGE=$CI_REGISTRY_IMAGE:latest
  script:
    - docker buildx create --use
    - docker buildx build --push --provenance false
      --platform linux/arm64,linux/amd64
      -t $TEST_IMAGE -t $RELEASE_IMAGE
      .

deploy:
  stage: deploy
  only:
    - tags
  variables:
    GIT_STRATEGY: none
  script: 
    - 'curl $CD_URL/containers/$CD_TOKEN'
